org.apache.ignite.internal.processors.query.schema

## Class SchemaOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.query.schema.SchemaOperationException

All Implemented Interfaces:
  Serializable

    public class SchemaOperationException
    extends IgniteCheckedException

Schema operation exception.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `CODE_CACHE_NOT_FOUND` Code: cache not found.
`static int` `CODE_COLUMN_EXISTS` Code: column already exists.
`static int` `CODE_COLUMN_NOT_FOUND` Code: column not found.
`static int` `CODE_GENERIC` Code: generic error.
`static int` `CODE_INDEX_EXISTS` Code: index already exists.
`static int` `CODE_INDEX_NOT_FOUND` Code: index not found.
`static int` `CODE_TABLE_EXISTS` Code: table already exists.
`static int` `CODE_TABLE_NOT_FOUND` Code: table not found.

### Constructor Summary

Constructors
Constructor and Description
`SchemaOperationException(int code, String objName)` Constructor for specific error type.
`SchemaOperationException(String msg)` Constructor for generic error.
`SchemaOperationException(String msg, Throwable cause)` Constructor for generic error.

### Method Summary

Methods
`int` `code()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CODE_GENERIC

    public static final int CODE_GENERIC

Code: generic error.

See Also:
  Constant Field Values

#### CODE_CACHE_NOT_FOUND

    public static final int CODE_CACHE_NOT_FOUND

Code: cache not found.

See Also:
  Constant Field Values

#### CODE_TABLE_NOT_FOUND

    public static final int CODE_TABLE_NOT_FOUND

Code: table not found.

See Also:
  Constant Field Values

#### CODE_TABLE_EXISTS

    public static final int CODE_TABLE_EXISTS

Code: table already exists.

See Also:
  Constant Field Values

#### CODE_COLUMN_NOT_FOUND

    public static final int CODE_COLUMN_NOT_FOUND

Code: column not found.

See Also:
  Constant Field Values

#### CODE_COLUMN_EXISTS

    public static final int CODE_COLUMN_EXISTS

Code: column already exists.

See Also:
  Constant Field Values

#### CODE_INDEX_NOT_FOUND

    public static final int CODE_INDEX_NOT_FOUND

Code: index not found.

See Also:
  Constant Field Values

#### CODE_INDEX_EXISTS

    public static final int CODE_INDEX_EXISTS

Code: index already exists.

See Also:
  Constant Field Values

### Constructor Detail

#### SchemaOperationException

    public SchemaOperationException(int code,
                            String objName)

Constructor for specific error type.

Parameters:
  `code` - Code.
  `objName` - Object name.

#### SchemaOperationException

    public SchemaOperationException(String msg)

Constructor for generic error.

Parameters:
  `msg` - Message.

#### SchemaOperationException

    public SchemaOperationException(String msg,
                            Throwable cause)

Constructor for generic error.

Parameters:
  `msg` - Message.
  `cause` - Cause.

### Method Detail

#### code

    public int code()

Returns:
  Code.

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteCheckedException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017